import { SoundSystem } from "./digital/audio";
export declare type BeatInfo = {
    measure: number;
    beat: number;
    tick: number;
};
export declare type Tempo = {
    ppq: number;
    tempo: number;
    bpm: number;
};
export declare type PerTickCallback = (beatNumber: number, time: number, beatInfo: BeatInfo) => [Tempo, Signature];
export declare type Signature = {
    noteBeats: number;
    perMeasure: number;
    ticksInMetronome?: number;
    toQuarter32nd?: number;
};
export declare type TickCallbackContainer = {
    tickListeners: PerTickCallback[];
};
export declare const toSignature: (sig: string) => Signature;
export declare const createSignature: (numerator: number, denominator: number, quarter32nd?: number | undefined, metroTicks?: number) => Signature;
export declare const createTempo: (ppq: number, usPerQuarter: number) => Tempo;
export declare function playHeadToggle(): void;
export declare function playHeadTo(time: number): void;
export declare function playHeadRewind(): void;
export declare function createPlayHeadClock(sys: SoundSystem, tempo: Tempo, sig: Signature, perTick: TickCallbackContainer): void;
//# sourceMappingURL=metronome.d.ts.map