export function noteByMidi(value) {
    const midiVals = [...NoteToMidi.entries()]
        .filter(({ 1: v }) => v === value)
        .map(([k]) => k);
    return midiVals[0];
}
export const NoteToMidi = new Map([
    ["G-9", 127],
    ["Gb9", 126],
    ["F#9", 126],
    ["F-9", 125],
    ["E-9", 124],
    ["Eb9", 123],
    ["D#9", 123],
    ["D-9", 122],
    ["Db9", 121],
    ["C#9", 121],
    ["C-9", 120],
    ["B-9", 119],
    ["Bb8", 118],
    ["A#8", 118],
    ["A-8", 117],
    ["Ab8", 116],
    ["G#8", 116],
    ["G-8", 115],
    ["Gb8", 114],
    ["F#8", 114],
    ["F-8", 113],
    ["E-8", 112],
    ["Eb8", 111],
    ["D#8", 111],
    ["D-8", 110],
    ["Db8", 109],
    ["C#8", 109],
    ["C-8", 108],
    ["B-7", 107],
    ["Bb7", 106],
    ["A#7", 106],
    ["A-7", 105],
    ["Ab7", 104],
    ["G#7", 104],
    ["G-7", 103],
    ["Gb7", 102],
    ["F#7", 102],
    ["F-7", 101],
    ["E-7", 100],
    ["Eb7", 99],
    ["D#7", 99],
    ["D-7", 98],
    ["Db7", 97],
    ["C#7", 97],
    ["C-7", 96],
    ["B-6", 95],
    ["Bb6", 94],
    ["A#6", 94],
    ["A-6", 93],
    ["Ab6", 92],
    ["G#6", 92],
    ["G-6", 91],
    ["Gb6", 90],
    ["F#6", 90],
    ["F-6", 89],
    ["E-6", 88],
    ["Eb6", 87],
    ["D#6", 87],
    ["D-6", 86],
    ["Db6", 85],
    ["C#6", 85],
    ["C-6", 84],
    ["B-5", 83],
    ["Bb5", 82],
    ["A#5", 82],
    ["A-5", 81],
    ["Ab5", 80],
    ["G#5", 80],
    ["G-5", 79],
    ["Gb5", 78],
    ["F#5", 78],
    ["F-5", 77],
    ["E-5", 76],
    ["Eb5", 75],
    ["D#5", 75],
    ["D-5", 74],
    ["Db5", 73],
    ["C#5", 73],
    ["C-5", 72],
    ["B-4", 71],
    ["Bb4", 70],
    ["A#4", 70],
    ["A-4", 69],
    ["Ab4", 68],
    ["G#4", 68],
    ["G-4", 67],
    ["Gb4", 66],
    ["F#4", 66],
    ["F-4", 65],
    ["E-4", 64],
    ["Eb4", 63],
    ["D#4", 63],
    ["D-4", 62],
    ["Db4", 61],
    ["C#4", 61],
    ["C-4", 60],
    ["B-3", 59],
    ["Bb3", 58],
    ["A#3", 58],
    ["A-3", 57],
    ["Ab3", 56],
    ["G#3", 56],
    ["G-3", 55],
    ["Gb3", 54],
    ["F#3", 54],
    ["F-3", 53],
    ["E-3", 52],
    ["Eb3", 51],
    ["D#3", 51],
    ["D-3", 50],
    ["Db3", 49],
    ["C#3", 49],
    ["C-3", 48],
    ["B-2", 47],
    ["Bb2", 46],
    ["A#2", 46],
    ["A-2", 45],
    ["Ab2", 44],
    ["G#2", 44],
    ["G-2", 43],
    ["Gb2", 42],
    ["F#2", 42],
    ["F-2", 41],
    ["E-2", 40],
    ["Eb2", 39],
    ["D#2", 39],
    ["D-2", 38],
    ["Db2", 37],
    ["C#2", 37],
    ["C-2", 36],
    ["B-1", 35],
    ["Bb1", 34],
    ["A#1", 34],
    ["A-1", 33],
    ["Ab1", 32],
    ["G#1", 32],
    ["G-1", 31],
    ["Gb1", 30],
    ["F#1", 30],
    ["F-1", 29],
    ["E-1", 28],
    ["Eb1", 27],
    ["D#1", 27],
    ["D-1", 26],
    ["Db1", 25],
    ["C#1", 25],
    ["C-1", 24],
    ["B-0", 23],
    ["Bb0", 22],
    ["A#0", 22],
]);
export const MidiToFreq = [
    8.18,
    8.66,
    9.18,
    9.72,
    10.30,
    10.91,
    11.56,
    12.25,
    12.98,
    13.75,
    14.57,
    15.43,
    16.35,
    17.32,
    18.35,
    19.45,
    20.60,
    21.83,
    23.12,
    24.50,
    25.96,
    27.50,
    29.14,
    30.87,
    32.70,
    34.65,
    36.71,
    38.89,
    41.20,
    43.65,
    46.25,
    49.00,
    51.91,
    55.00,
    58.27,
    61.74,
    65.41,
    69.30,
    73.42,
    77.78,
    82.41,
    87.31,
    92.50,
    98.00,
    103.83,
    110.00,
    116.54,
    123.47,
    130.81,
    138.59,
    146.83,
    155.56,
    164.81,
    174.61,
    185.00,
    196.00,
    207.65,
    220.00,
    233.08,
    246.94,
    261.63,
    277.18,
    293.66,
    311.13,
    329.63,
    349.23,
    369.99,
    392.00,
    415.30,
    440.00,
    466.16,
    493.88,
    523.25,
    554.37,
    587.33,
    622.25,
    659.26,
    698.46,
    739.99,
    783.99,
    830.61,
    880.00,
    932.33,
    987.77,
    1046.50,
    1108.73,
    1174.66,
    1244.51,
    1318.51,
    1396.91,
    1479.98,
    1567.98,
    1661.22,
    1760.00,
    1864.66,
    1975.53,
    2093.00,
    2217.46,
    2349.32,
    2489.02,
    2637.02,
    2793.83,
    2959.96,
    3135.96,
    3322.44,
    3520.00,
    3729.31,
    3951.07,
    4186.01,
    4434.92,
    4698.64,
    4978.03,
    5274.04,
    5587.65,
    5919.91,
    6271.93,
    6644.88,
    7040.00,
    7458.62,
    7902.13,
    8372.02,
    8869.84,
    9397.27,
    9956.06,
    10548.08,
    11175.30,
    11839.82,
    12543.85,
];
export var GeneralMIDIPercussion;
(function (GeneralMIDIPercussion) {
    GeneralMIDIPercussion[GeneralMIDIPercussion["HighQ"] = 27] = "HighQ";
    GeneralMIDIPercussion[GeneralMIDIPercussion["Slap"] = 28] = "Slap";
    GeneralMIDIPercussion[GeneralMIDIPercussion["ScratchPush"] = 29] = "ScratchPush";
    GeneralMIDIPercussion[GeneralMIDIPercussion["ScratchPull"] = 30] = "ScratchPull";
    GeneralMIDIPercussion[GeneralMIDIPercussion["Sticks"] = 31] = "Sticks";
    GeneralMIDIPercussion[GeneralMIDIPercussion["SquareClick"] = 32] = "SquareClick";
    GeneralMIDIPercussion[GeneralMIDIPercussion["MetronomeClick"] = 33] = "MetronomeClick";
    GeneralMIDIPercussion[GeneralMIDIPercussion["MetronomeBell"] = 34] = "MetronomeBell";
    GeneralMIDIPercussion[GeneralMIDIPercussion["BassDrum2"] = 35] = "BassDrum2";
    GeneralMIDIPercussion[GeneralMIDIPercussion["BassDrum1"] = 36] = "BassDrum1";
    GeneralMIDIPercussion[GeneralMIDIPercussion["SideStick"] = 37] = "SideStick";
    GeneralMIDIPercussion[GeneralMIDIPercussion["SnareDrum1"] = 38] = "SnareDrum1";
    GeneralMIDIPercussion[GeneralMIDIPercussion["HandClap"] = 39] = "HandClap";
    GeneralMIDIPercussion[GeneralMIDIPercussion["SnareDrum2"] = 40] = "SnareDrum2";
    GeneralMIDIPercussion[GeneralMIDIPercussion["LowTom2"] = 41] = "LowTom2";
    GeneralMIDIPercussion[GeneralMIDIPercussion["ClosedHiHat"] = 42] = "ClosedHiHat";
    GeneralMIDIPercussion[GeneralMIDIPercussion["LowTom1"] = 43] = "LowTom1";
    GeneralMIDIPercussion[GeneralMIDIPercussion["PedalHiHat"] = 44] = "PedalHiHat";
    GeneralMIDIPercussion[GeneralMIDIPercussion["MidTom2"] = 45] = "MidTom2";
    GeneralMIDIPercussion[GeneralMIDIPercussion["OpenHiHat"] = 46] = "OpenHiHat";
    GeneralMIDIPercussion[GeneralMIDIPercussion["MidTom1"] = 47] = "MidTom1";
    GeneralMIDIPercussion[GeneralMIDIPercussion["HighTom2"] = 48] = "HighTom2";
    GeneralMIDIPercussion[GeneralMIDIPercussion["CrashCymbal1"] = 49] = "CrashCymbal1";
    GeneralMIDIPercussion[GeneralMIDIPercussion["HighTom1"] = 50] = "HighTom1";
    GeneralMIDIPercussion[GeneralMIDIPercussion["RideCymbal1"] = 51] = "RideCymbal1";
    GeneralMIDIPercussion[GeneralMIDIPercussion["ChineseCymbal"] = 52] = "ChineseCymbal";
    GeneralMIDIPercussion[GeneralMIDIPercussion["RideBell"] = 53] = "RideBell";
    GeneralMIDIPercussion[GeneralMIDIPercussion["Tambourine"] = 54] = "Tambourine";
    GeneralMIDIPercussion[GeneralMIDIPercussion["SplashCymbal"] = 55] = "SplashCymbal";
    GeneralMIDIPercussion[GeneralMIDIPercussion["Cowbell"] = 56] = "Cowbell";
    GeneralMIDIPercussion[GeneralMIDIPercussion["CrashCymbal2"] = 57] = "CrashCymbal2";
    GeneralMIDIPercussion[GeneralMIDIPercussion["VibraSlap"] = 58] = "VibraSlap";
    GeneralMIDIPercussion[GeneralMIDIPercussion["RideCymbal2"] = 59] = "RideCymbal2";
    GeneralMIDIPercussion[GeneralMIDIPercussion["HighBongo"] = 60] = "HighBongo";
    GeneralMIDIPercussion[GeneralMIDIPercussion["LowBongo"] = 61] = "LowBongo";
    GeneralMIDIPercussion[GeneralMIDIPercussion["MuteHighConga"] = 62] = "MuteHighConga";
    GeneralMIDIPercussion[GeneralMIDIPercussion["OpenHighConga"] = 63] = "OpenHighConga";
    GeneralMIDIPercussion[GeneralMIDIPercussion["LowConga"] = 64] = "LowConga";
    GeneralMIDIPercussion[GeneralMIDIPercussion["HighTimbale"] = 65] = "HighTimbale";
    GeneralMIDIPercussion[GeneralMIDIPercussion["LowTimbale"] = 66] = "LowTimbale";
    GeneralMIDIPercussion[GeneralMIDIPercussion["HighAgogo"] = 67] = "HighAgogo";
    GeneralMIDIPercussion[GeneralMIDIPercussion["LowAgogo"] = 68] = "LowAgogo";
    GeneralMIDIPercussion[GeneralMIDIPercussion["Cabasa"] = 69] = "Cabasa";
    GeneralMIDIPercussion[GeneralMIDIPercussion["Maracas"] = 70] = "Maracas";
    GeneralMIDIPercussion[GeneralMIDIPercussion["ShortWhistle"] = 71] = "ShortWhistle";
    GeneralMIDIPercussion[GeneralMIDIPercussion["LongWhistle"] = 72] = "LongWhistle";
    GeneralMIDIPercussion[GeneralMIDIPercussion["ShortGuiro"] = 73] = "ShortGuiro";
    GeneralMIDIPercussion[GeneralMIDIPercussion["LongGuiro"] = 74] = "LongGuiro";
    GeneralMIDIPercussion[GeneralMIDIPercussion["Claves"] = 75] = "Claves";
    GeneralMIDIPercussion[GeneralMIDIPercussion["HighWoodBlock"] = 76] = "HighWoodBlock";
    GeneralMIDIPercussion[GeneralMIDIPercussion["LowWoodBlock"] = 77] = "LowWoodBlock";
    GeneralMIDIPercussion[GeneralMIDIPercussion["MuteCuica"] = 78] = "MuteCuica";
    GeneralMIDIPercussion[GeneralMIDIPercussion["OpenCuica"] = 79] = "OpenCuica";
    GeneralMIDIPercussion[GeneralMIDIPercussion["MuteTriangle"] = 80] = "MuteTriangle";
    GeneralMIDIPercussion[GeneralMIDIPercussion["OpenTriangle"] = 81] = "OpenTriangle";
    GeneralMIDIPercussion[GeneralMIDIPercussion["Shaker"] = 82] = "Shaker";
    GeneralMIDIPercussion[GeneralMIDIPercussion["JingleBell"] = 83] = "JingleBell";
    GeneralMIDIPercussion[GeneralMIDIPercussion["Belltree"] = 84] = "Belltree";
    GeneralMIDIPercussion[GeneralMIDIPercussion["Castanets"] = 85] = "Castanets";
    GeneralMIDIPercussion[GeneralMIDIPercussion["MuteSurdo"] = 86] = "MuteSurdo";
    GeneralMIDIPercussion[GeneralMIDIPercussion["OpenSurdo"] = 87] = "OpenSurdo";
})(GeneralMIDIPercussion || (GeneralMIDIPercussion = {}));
;
export var GeneralMidiInstruments;
(function (GeneralMidiInstruments) {
    GeneralMidiInstruments[GeneralMidiInstruments["AcousticGrand"] = 1] = "AcousticGrand";
    GeneralMidiInstruments[GeneralMidiInstruments["BrightAcoustic"] = 2] = "BrightAcoustic";
    GeneralMidiInstruments[GeneralMidiInstruments["ElectricGrand"] = 3] = "ElectricGrand";
    GeneralMidiInstruments[GeneralMidiInstruments["HonkyTonk"] = 4] = "HonkyTonk";
    GeneralMidiInstruments[GeneralMidiInstruments["ElectricPiano1"] = 5] = "ElectricPiano1";
    GeneralMidiInstruments[GeneralMidiInstruments["ElectricPiano2"] = 6] = "ElectricPiano2";
    GeneralMidiInstruments[GeneralMidiInstruments["Harpsichord"] = 7] = "Harpsichord";
    GeneralMidiInstruments[GeneralMidiInstruments["Clav"] = 8] = "Clav";
    GeneralMidiInstruments[GeneralMidiInstruments["Celesta"] = 9] = "Celesta";
    GeneralMidiInstruments[GeneralMidiInstruments["Glockenspiel"] = 10] = "Glockenspiel";
    GeneralMidiInstruments[GeneralMidiInstruments["MusicBox"] = 11] = "MusicBox";
    GeneralMidiInstruments[GeneralMidiInstruments["Vibraphone"] = 12] = "Vibraphone";
    GeneralMidiInstruments[GeneralMidiInstruments["Marimba"] = 13] = "Marimba";
    GeneralMidiInstruments[GeneralMidiInstruments["Xylophone"] = 14] = "Xylophone";
    GeneralMidiInstruments[GeneralMidiInstruments["TubularBells"] = 15] = "TubularBells";
    GeneralMidiInstruments[GeneralMidiInstruments["Dulcimer"] = 16] = "Dulcimer";
    GeneralMidiInstruments[GeneralMidiInstruments["DrawbarOrgan"] = 17] = "DrawbarOrgan";
    GeneralMidiInstruments[GeneralMidiInstruments["PercussiveOrgan"] = 18] = "PercussiveOrgan";
    GeneralMidiInstruments[GeneralMidiInstruments["RockOrgan"] = 19] = "RockOrgan";
    GeneralMidiInstruments[GeneralMidiInstruments["ChurchOrgan"] = 20] = "ChurchOrgan";
    GeneralMidiInstruments[GeneralMidiInstruments["ReedOrgan"] = 21] = "ReedOrgan";
    GeneralMidiInstruments[GeneralMidiInstruments["Accoridan"] = 22] = "Accoridan";
    GeneralMidiInstruments[GeneralMidiInstruments["Harmonica"] = 23] = "Harmonica";
    GeneralMidiInstruments[GeneralMidiInstruments["TangoAccordian"] = 24] = "TangoAccordian";
    GeneralMidiInstruments[GeneralMidiInstruments["AcousticGuitar_nylon"] = 25] = "AcousticGuitar_nylon";
    GeneralMidiInstruments[GeneralMidiInstruments["AcousticGuitar_steel"] = 26] = "AcousticGuitar_steel";
    GeneralMidiInstruments[GeneralMidiInstruments["ElectricGuitar_jazz"] = 27] = "ElectricGuitar_jazz";
    GeneralMidiInstruments[GeneralMidiInstruments["ElectricGuitar_clean"] = 28] = "ElectricGuitar_clean";
    GeneralMidiInstruments[GeneralMidiInstruments["ElectricGuitar_muted"] = 29] = "ElectricGuitar_muted";
    GeneralMidiInstruments[GeneralMidiInstruments["OverdrivenGuitar"] = 30] = "OverdrivenGuitar";
    GeneralMidiInstruments[GeneralMidiInstruments["DistortionGuitar"] = 31] = "DistortionGuitar";
    GeneralMidiInstruments[GeneralMidiInstruments["GuitarHarmonics"] = 32] = "GuitarHarmonics";
    GeneralMidiInstruments[GeneralMidiInstruments["AcousticBass"] = 33] = "AcousticBass";
    GeneralMidiInstruments[GeneralMidiInstruments["ElectricBass_finger"] = 34] = "ElectricBass_finger";
    GeneralMidiInstruments[GeneralMidiInstruments["ElectricBass_pick"] = 35] = "ElectricBass_pick";
    GeneralMidiInstruments[GeneralMidiInstruments["FretlessBass"] = 36] = "FretlessBass";
    GeneralMidiInstruments[GeneralMidiInstruments["SlapBass1"] = 37] = "SlapBass1";
    GeneralMidiInstruments[GeneralMidiInstruments["SlapBass2"] = 38] = "SlapBass2";
    GeneralMidiInstruments[GeneralMidiInstruments["SynthBass1"] = 39] = "SynthBass1";
    GeneralMidiInstruments[GeneralMidiInstruments["SynthBass2"] = 40] = "SynthBass2";
    GeneralMidiInstruments[GeneralMidiInstruments["Violin"] = 41] = "Violin";
    GeneralMidiInstruments[GeneralMidiInstruments["Viola"] = 42] = "Viola";
    GeneralMidiInstruments[GeneralMidiInstruments["Cello"] = 43] = "Cello";
    GeneralMidiInstruments[GeneralMidiInstruments["Contrabass"] = 44] = "Contrabass";
    GeneralMidiInstruments[GeneralMidiInstruments["TremoloStrings"] = 45] = "TremoloStrings";
    GeneralMidiInstruments[GeneralMidiInstruments["PizzicatoStrings"] = 46] = "PizzicatoStrings";
    GeneralMidiInstruments[GeneralMidiInstruments["OrchestralStrings"] = 47] = "OrchestralStrings";
    GeneralMidiInstruments[GeneralMidiInstruments["Timpani"] = 48] = "Timpani";
    GeneralMidiInstruments[GeneralMidiInstruments["StringEnsemble1"] = 49] = "StringEnsemble1";
    GeneralMidiInstruments[GeneralMidiInstruments["StringEnsemble2"] = 50] = "StringEnsemble2";
    GeneralMidiInstruments[GeneralMidiInstruments["SynthStrings1"] = 51] = "SynthStrings1";
    GeneralMidiInstruments[GeneralMidiInstruments["SynthStrings2"] = 52] = "SynthStrings2";
    GeneralMidiInstruments[GeneralMidiInstruments["ChoirAahs"] = 53] = "ChoirAahs";
    GeneralMidiInstruments[GeneralMidiInstruments["VoiceOohs"] = 54] = "VoiceOohs";
    GeneralMidiInstruments[GeneralMidiInstruments["SynthVoice"] = 55] = "SynthVoice";
    GeneralMidiInstruments[GeneralMidiInstruments["OrchestraHit"] = 56] = "OrchestraHit";
    GeneralMidiInstruments[GeneralMidiInstruments["Trumpet"] = 57] = "Trumpet";
    GeneralMidiInstruments[GeneralMidiInstruments["Trombone"] = 58] = "Trombone";
    GeneralMidiInstruments[GeneralMidiInstruments["Tuba"] = 59] = "Tuba";
    GeneralMidiInstruments[GeneralMidiInstruments["MutedTrumpet"] = 60] = "MutedTrumpet";
    GeneralMidiInstruments[GeneralMidiInstruments["FrenchHorn"] = 61] = "FrenchHorn";
    GeneralMidiInstruments[GeneralMidiInstruments["BrassSection"] = 62] = "BrassSection";
    GeneralMidiInstruments[GeneralMidiInstruments["SynthBrass1"] = 63] = "SynthBrass1";
    GeneralMidiInstruments[GeneralMidiInstruments["SynthBrass"] = 64] = "SynthBrass";
    GeneralMidiInstruments[GeneralMidiInstruments["SopranoSax"] = 65] = "SopranoSax";
    GeneralMidiInstruments[GeneralMidiInstruments["AltoSax"] = 66] = "AltoSax";
    GeneralMidiInstruments[GeneralMidiInstruments["TenorSax"] = 67] = "TenorSax";
    GeneralMidiInstruments[GeneralMidiInstruments["BaritoneSax"] = 68] = "BaritoneSax";
    GeneralMidiInstruments[GeneralMidiInstruments["Oboe"] = 69] = "Oboe";
    GeneralMidiInstruments[GeneralMidiInstruments["EnglishHorn"] = 70] = "EnglishHorn";
    GeneralMidiInstruments[GeneralMidiInstruments["Bassoon"] = 71] = "Bassoon";
    GeneralMidiInstruments[GeneralMidiInstruments["Clarinet"] = 72] = "Clarinet";
    GeneralMidiInstruments[GeneralMidiInstruments["Piccolo"] = 73] = "Piccolo";
    GeneralMidiInstruments[GeneralMidiInstruments["Flute"] = 74] = "Flute";
    GeneralMidiInstruments[GeneralMidiInstruments["Recorder"] = 75] = "Recorder";
    GeneralMidiInstruments[GeneralMidiInstruments["PanFlute"] = 76] = "PanFlute";
    GeneralMidiInstruments[GeneralMidiInstruments["BlownBottle"] = 77] = "BlownBottle";
    GeneralMidiInstruments[GeneralMidiInstruments["Shakuhachi"] = 78] = "Shakuhachi";
    GeneralMidiInstruments[GeneralMidiInstruments["Whistle"] = 79] = "Whistle";
    GeneralMidiInstruments[GeneralMidiInstruments["Ocarina"] = 80] = "Ocarina";
    GeneralMidiInstruments[GeneralMidiInstruments["Lead1_square"] = 81] = "Lead1_square";
    GeneralMidiInstruments[GeneralMidiInstruments["Lead2_sawtooth"] = 82] = "Lead2_sawtooth";
    GeneralMidiInstruments[GeneralMidiInstruments["Lead3_calliope"] = 83] = "Lead3_calliope";
    GeneralMidiInstruments[GeneralMidiInstruments["Lead4_chiff"] = 84] = "Lead4_chiff";
    GeneralMidiInstruments[GeneralMidiInstruments["Lead5_charang"] = 85] = "Lead5_charang";
    GeneralMidiInstruments[GeneralMidiInstruments["Lead6_voice"] = 86] = "Lead6_voice";
    GeneralMidiInstruments[GeneralMidiInstruments["Lead7_fifths"] = 87] = "Lead7_fifths";
    GeneralMidiInstruments[GeneralMidiInstruments["Lead8_bass_lead"] = 88] = "Lead8_bass_lead";
    GeneralMidiInstruments[GeneralMidiInstruments["Pad1_new_age"] = 89] = "Pad1_new_age";
    GeneralMidiInstruments[GeneralMidiInstruments["Pad2_warm"] = 90] = "Pad2_warm";
    GeneralMidiInstruments[GeneralMidiInstruments["Pad3_polysynth"] = 91] = "Pad3_polysynth";
    GeneralMidiInstruments[GeneralMidiInstruments["Pad4_choir"] = 92] = "Pad4_choir";
    GeneralMidiInstruments[GeneralMidiInstruments["Pad5_bowed"] = 93] = "Pad5_bowed";
    GeneralMidiInstruments[GeneralMidiInstruments["Pad6_metallic"] = 94] = "Pad6_metallic";
    GeneralMidiInstruments[GeneralMidiInstruments["Pad7_halo"] = 95] = "Pad7_halo";
    GeneralMidiInstruments[GeneralMidiInstruments["Pad8_sweep"] = 96] = "Pad8_sweep";
    GeneralMidiInstruments[GeneralMidiInstruments["FX1_rain"] = 97] = "FX1_rain";
    GeneralMidiInstruments[GeneralMidiInstruments["FX2_soundtrack"] = 98] = "FX2_soundtrack";
    GeneralMidiInstruments[GeneralMidiInstruments["FX3_crystal"] = 99] = "FX3_crystal";
    GeneralMidiInstruments[GeneralMidiInstruments["FX4_atmosphere"] = 100] = "FX4_atmosphere";
    GeneralMidiInstruments[GeneralMidiInstruments["FX5_brightness"] = 101] = "FX5_brightness";
    GeneralMidiInstruments[GeneralMidiInstruments["FX6_goblins"] = 102] = "FX6_goblins";
    GeneralMidiInstruments[GeneralMidiInstruments["FX7_echoes"] = 103] = "FX7_echoes";
    GeneralMidiInstruments[GeneralMidiInstruments["FX8_sci_fi"] = 104] = "FX8_sci_fi";
    GeneralMidiInstruments[GeneralMidiInstruments["Sitar"] = 105] = "Sitar";
    GeneralMidiInstruments[GeneralMidiInstruments["Banjo"] = 106] = "Banjo";
    GeneralMidiInstruments[GeneralMidiInstruments["Shamisen"] = 107] = "Shamisen";
    GeneralMidiInstruments[GeneralMidiInstruments["Koto"] = 108] = "Koto";
    GeneralMidiInstruments[GeneralMidiInstruments["Kalimba"] = 109] = "Kalimba";
    GeneralMidiInstruments[GeneralMidiInstruments["Bagpipe"] = 110] = "Bagpipe";
    GeneralMidiInstruments[GeneralMidiInstruments["Fiddle"] = 111] = "Fiddle";
    GeneralMidiInstruments[GeneralMidiInstruments["Shanai"] = 112] = "Shanai";
    GeneralMidiInstruments[GeneralMidiInstruments["TinkleBell"] = 113] = "TinkleBell";
    GeneralMidiInstruments[GeneralMidiInstruments["Agogo"] = 114] = "Agogo";
    GeneralMidiInstruments[GeneralMidiInstruments["SteelDrums"] = 115] = "SteelDrums";
    GeneralMidiInstruments[GeneralMidiInstruments["Woodblock"] = 116] = "Woodblock";
    GeneralMidiInstruments[GeneralMidiInstruments["TaikoDrum"] = 117] = "TaikoDrum";
    GeneralMidiInstruments[GeneralMidiInstruments["MelodicTom"] = 118] = "MelodicTom";
    GeneralMidiInstruments[GeneralMidiInstruments["SynthDrum"] = 119] = "SynthDrum";
    GeneralMidiInstruments[GeneralMidiInstruments["ReverseCymbal"] = 120] = "ReverseCymbal";
    GeneralMidiInstruments[GeneralMidiInstruments["GuitarFretNoise"] = 121] = "GuitarFretNoise";
    GeneralMidiInstruments[GeneralMidiInstruments["BreathNoise"] = 122] = "BreathNoise";
    GeneralMidiInstruments[GeneralMidiInstruments["Seashore"] = 123] = "Seashore";
    GeneralMidiInstruments[GeneralMidiInstruments["BirdTweet"] = 124] = "BirdTweet";
    GeneralMidiInstruments[GeneralMidiInstruments["TelephoneRing"] = 125] = "TelephoneRing";
    GeneralMidiInstruments[GeneralMidiInstruments["Helicopter"] = 126] = "Helicopter";
    GeneralMidiInstruments[GeneralMidiInstruments["Applause"] = 127] = "Applause";
    GeneralMidiInstruments[GeneralMidiInstruments["Gunshot"] = 128] = "Gunshot";
})(GeneralMidiInstruments || (GeneralMidiInstruments = {}));
;
