import { Effect } from "../midi/types";
export declare const PAL_CLOCK = 7093789.2;
export declare type ModType = 'M.K.' | '2CHN' | '6CHN' | '8CHN' | 'FLT4' | 'FLT8' | 'CD81' | 'M!K!' | 'OCTA';
export declare type Song = {
    title: string;
    length: number;
    positions: Array<number>;
    patterns: Pattern[];
    type: ModType;
    samples: Sample[];
    sampleBuffers: Int8Array[];
};
export declare type Sample = {
    name: string;
    length: number;
    fineTune: number;
    volume: number;
    repeatPoint: number;
    repeatLength: number;
};
export declare type Note = {
    sample: number;
    note: string;
    effect: Effect;
};
export declare type Row = Array<Note>;
export declare type Pattern = Array<Row>;
export declare const NoteTable: Map<number, string>;
//# sourceMappingURL=types.d.ts.map